distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	printed circuit board editor
Name:      	pcb
Version:   	20070208p1
Release:   	1
Provides:  	pcb
License : 	GPL
url:		http://pcb.sourceforge.net/	
Group:     	Graphics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel
BuildRequires:  libXpm-devel
BuildRequires:	atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libgd-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel

%description
PCB is an interactive printed circuit board editor for the X11 window system. PCB includes a rats nest feature, design rule checking, and can provide industry standard RS-274-X (Gerber), NC drill, and centroid data (X-Y data) output for use in the board fabrication and assembly process. PCB offers high end features such as an autorouter and trace optimizer which can tremendously reduce layout time. 

%post
ldconfig
/sbin/install-info %{_infodir}/pcb.info.gz %{_infodir}/dir

%preun
ldconfig
if [ "$1" = 0 ]; then
     /sbin/install-info --del %{_infodir}/pcb.info.gz %{_infodir}/dir
fi

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix  \
		--mandir=%_mandir \
		--infodir=%_infodir \
		-disable-debug 
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
rm -rf $RPM_BUILD_ROOT%_infodir/dir


%files
%defattr(-,root,root)
%_bindir
%_datadir/pcb
%_infodir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 20070208p1-1
- initial release                 
